<?php
	/**
	 * clients.php
	 *
	 * This is used to create new clients
	 * It is also used to view registered clients
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Clients" ;
		$pageslogan = "manage registered clients and add new client record";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				<div class="alert alert-block alert-success">
					<button type="button" class="close" data-dismiss="alert">
						<i class="ace-icon fa fa-times"></i>
					</button>

					<i class="ace-icon fa fa-check green"></i> Hi, 
					<strong class="green"><?php echo $username; ?></strong>, 
					<small>This page enables you to manage/view registered clients. It also gives you access to adding new clients</small>
				</div>

				<div class="row">
					
					<div class="col-sm-12">
						<div class="tabbable">
							<ul class="nav nav-tabs" id="myTab">
								<li>
									<a data-toggle="tab" href="#addclient">
										<i class="green ace-icon fa fa-plus bigger-120"></i>
										Add New Client Record
									</a>
								</li>

								<li class="active">
									<a data-toggle="tab" href="#allclients">
										<i class="green ace-icon fa fa-bank bigger-120"></i>
										Manage/View Registered Clients
										<span class="badge badge-danger">
										<?php
											// Fetch total number of catgeories 
											$query = "SELECT COUNT(id) as `num` FROM clients";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$totalclients = $row['num'];
											echo $totalclients;
										?>
										</span>
									</a>
								</li>
							</ul>

							<div class="tab-content">
								
								<div id="addclient" class="tab-pane fade">
									<div class="result">
										<div class="center">
											<h3 class="header smaller lighter green">Client Registration Form</h3>
											<p>Kindly fill the form with accurate data. Fields with <font color="red">*</font> are required.</p>
										</div>
										
										<p class="qc-errmsg" style="display: none;">&nbsp;</p>
										<div class="contact-form clearfix">
											<form name="form" class="form-horizontal" action="sys/core/insert.php"  method="post">
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="csn" class="col-sm-3 control-label no-padding-right">Short Name  <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<input type="text" name="csn" id="csn" placeholder="Enter Client Short Name Here" class="form-control" required/>
															<span class="error">This field is required</span>
														</div>
													</div>
													<div class="form-group">
														<label for="csn" class="col-sm-3 control-label no-padding-right">Name <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<input type="text" name="name" id="name" placeholder="Enter Client Name Here" class="form-control" required/>
														</div>
													</div>
													
													<div class="form-group">
														<label for="address" class="col-sm-3 control-label no-padding-right">Office Address <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<textarea id="address" name="address" required class="form-control"></textarea>
														</div>
													</div>
													
													<div class="form-group">
														<label for="csn" class="col-sm-3 control-label no-padding-right">State <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select name="state" id="state" class="form-control" required>
															<?php
																include 'sys/incs/statelist.php';
															?>
															</select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="csn" class="col-sm-3 control-label no-padding-right">Country <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select id="country" name="country" class="form-control" required>
															<?php
																include 'sys/incs/countrylist.php';
															?>
															</select>
														</div>
													</div>
													<div class="form-group">
														<label for="contactperson" class="col-sm-3 control-label no-padding-right">Contact Person <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<input type="text" name="contactperson" id="contactperson" placeholder="Enter Client Contact Person's Name Here" class="form-control" required/>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="phonenumber" class="col-sm-4 control-label no-padding-right">Contact Number <small>(primary phone)</small> <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="phonenumber" id="phonenumber" placeholder="Enter Clients Primary Phone Number Here" class="form-control" required/>
														</div>
													</div>
													
													<div class="form-group">
														<label for="otherphones" class="col-sm-4 control-label no-padding-right">Additional Number(s) <small>(other phone numbers)</small></label>
														<div class="col-sm-8">
															<input type="text" name="otherphones" id="otherphones" class="form-control" placeholder="Enter Addtional Phone Numbers Here" />
														</div>
													</div>
													
													<div class="form-group">
														<label for="email" class="col-sm-4 control-label no-padding-right">Email Address <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="email" name="email" id="email" class="form-control" placeholder="Enter Client Email Address Here" required/>
															<p class="help-block"></p>
														</div>
													</div>
													<div class="form-group">
														<label for="relstatus" class="col-sm-4 control-label no-padding-right">Relationship Status <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select id="relstatus" name="relstatus" class="form-control" required>
																<option value="">Choose Client Relationship Status</option>
																<option value = "PROSPECT" >PROSPECT</option>
																<option value = "SIGNED ON" >SIGNED ON</option>
																<option value = "EXISTING JOB" >EXISTING JOB</option>
																<option value = "SIGNED OFF" >SIGNED OFF</option>
															</select>
														</div>
													</div>
													<div class="form-group">
														<label for="relstatus" class="col-sm-4 control-label no-padding-right">Branch Post <small>(base post)</small> <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select id="basepost" name="basepost" class="form-control" required>
																<option value = "">Choose Client Base Post</option>
																<option value = "Lagos">Lagos</option>
																<option value = "Bonny">Bonny</option>
																<option value = "Abuja">Abuja</option>
															</select>
														</div>
													</div>
													<div class="form-group">
														<label for="relmanager" class="col-sm-4 control-label no-padding-right">Relationship Manager <font color="#ff0000">*</font></label>
														<div class="col-sm-8" id="autolist">
															<input type="text" name="relmanager" id="relmanager" placeholder="Start Typing a name" class="form-control" required onkeyup="autocomplet()">
															<ul id="relmanager_list"></ul>
														</div>
													</div>
													<div class="form-group">
														<label for="sigendondate" class="col-sm-4 control-label no-padding-right">Signed On Date</label>
														<div class="col-sm-8">
															<div class="input-group">
																<input name="sigendondate" class="form-control date-picker" id="id-date-picker-1" type="text" data-date-format="yyyy-mm-dd" class="form-control" />
																<span class="input-group-addon">
																	<i class="fa fa-calendar bigger-110"></i>
																</span>
															</div>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												<div class="center">
													<input type="submit" value="Submit Data" name="addClient" id="addClient" class="btn btn-success"  data-after-submit-value="Processing your request..."/>
													<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger"/>
												</div>
											</form>
										</div>
									</div>
									
								</div>

								<div id="allclients" class="tab-pane fade in active">
									<div class="center">
										
		<?php
									if(isset($_GET['succresp']))
									{
										$client = $_GET['succresp'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i> New Client (<strong><?php echo $client; ?></strong>) Added Successfully
										</div>
		<?php
									} else {
										if(isset($_GET['fail']))
										{
											$client = $_GET['fail'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $client; ?></strong>'s record was not added.
											<a data-toggle="tab" href="#addclient">
												<i class="green ace-icon fa fa-plus bigger-120"></i>
												Try Again
											</a>  Contact web administrator.
										</div>
		<?php
										}
									}
		?>
		
		
		
		
		<?php
									if(isset($_GET['editresp']))
									{
										$client = $_GET['editresp'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i><strong><?php echo $client; ?></strong>'s record was updated Successfully
										</div>
		<?php
									} else {
										if(isset($_GET['editfail']))
										{
											$client = $_GET['editfail'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $client; ?></strong>'s record was not updated.
											<a data-toggle="tab" href="#addclient">
												<i class="green ace-icon fa fa-plus bigger-120"></i>
												Try Again
											</a>  Contact web administrator.
										</div>
		<?php
										}
									}
		?>
		
										<h3 class="header smaller lighter green">All Registered Clients</h3>
										<p>You can sort the following table in Descending or Ascending order by clicking on the table header/title</p>
									</div>
									<table id="client-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    <label class="pos-rel">
                                                        <input type="checkbox" class="ace" id="bulkDelete" />
                                                        <span class="lbl"></span>
                                                    </label>
                                                </th>
												<th>Name</th>
												<th>Address</th>
												<th>Email Address</th>
												<th>Relationship Manager</th>
												<th>ACTION</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Name</th>
												<th>Address</th>
												<th>Email Address</th>
												<th>Relationship Manager</th>
												<th>ACTION</th>
											</tr>
										</tfoot>
									</table>
									
									<button id="clientDeleteTriger" class="btn btn-danger"><i class="ace-icon fa fa-trash" title="Delete Clients"></i> Delete Selected Client(s) </button>
									 
									
						
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>