<?php
// default time zone
date_default_timezone_set("Africa/Lagos");

// Copyright date
   function auto_copyright($year = 'auto'){ 
	   if(intval($year) == 'auto'){ $year = date('Y'); }
	   if(intval($year) == date('Y')){ echo intval($year); }
	   if(intval($year) < date('Y')){ echo intval($year) . ' - ' . date('Y'); }
	   if(intval($year) > date('Y')){ echo date('Y'); }
   }
   
/**
 * Register.php
 * 
 * Displays the registration form if the user needs to sign-up,
 * or lets the user know, if he's already logged in, that he
 * can't register another name.
 */
include("sys/core/session.php");

$pagename = "Gateway";
?>


<!DOCTYPE html>
<html lang="en">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<meta charset="utf-8" />
		<title><?php echo $pagename; ?> - FMX-MIS</title>

		<!---- Favicon -------->
		<link rel="shortcut icon" type="image/png" href="assets/images/fmxIcon.png"/>
	
		<!-- bootstrap & fontawesome -->
		<link rel="stylesheet" href="assets/css/bootstrap.min.css" />
		<link rel="stylesheet" href="assets/font-awesome/4.2.0/css/font-awesome.min.css" />

		<!-- text fonts -->
		<link rel="stylesheet" href="assets/fonts/fonts.googleapis.com.css" />

		<!-- ace styles -->
		<link rel="stylesheet" href="assets/css/ace.min.css" />

		<!--[if lte IE 9]>
			<link rel="stylesheet" href="assets/css/ace-part2.min.css" />
		<![endif]-->
		<link rel="stylesheet" href="assets/css/ace-rtl.min.css" />

		<!--[if lte IE 9]>
		  <link rel="stylesheet" href="assets/css/ace-ie.min.css" />
		<![endif]-->

		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->

		<!--[if lt IE 9]>
		<script src="assets/js/html5shiv.min.js"></script>
		<script src="assets/js/respond.min.js"></script>
		<![endif]-->
		
		
		
		<script type="text/javascript" src="assets/js/jquery.2.1.1.min.js"></script>
		<script type="text/javascript">
		$(document).ready(function(){
			$('#username').keyup(function(){ // Keyup function for check the user action in input
				var Username = $(this).val(); // Get the username textbox using $(this) or you can use directly $('#username')
				var UsernameAvailResult = $('#username_avail_result'); // Get the ID of the result where we gonna display the results
				if(Username.length > 4) { // check if greater than 4 (minimum 5)
					UsernameAvailResult.html('<img src="images/ripple.gif"> checking username availability'); // Preloader, use can use loading animation here
					var UrlToPass = 'action=username_availability&username='+Username;
					$.ajax({ // Send the username val to another checker.php using Ajax in POST menthod
					type : 'POST',
					url  : 'checker.php',
					data : UrlToPass,
					success: function(responseText){ // Get the result and asign to each cases
						UsernameAvailResult.html(responseText);
					}
					});
					
					
				}else{
					UsernameAvailResult.html(' Enter atleast 5 characters');
				}
				if(Username.length == 0) {
					UsernameAvailResult.html('');
				}
			});
			
			$('#password, #username').keydown(function(e) { // Dont allow users to enter spaces for their username and passwords
				if (e.which == 32) {
					return false;
				}
			});
			$('#password').keyup(function() { // As same using keyup function for get user action in input
				var PasswordLength = $(this).val().length; // Get the password input using $(this)
				var PasswordStrength = $('#password_strength'); // Get the id of the password indicator display area
				
				if(PasswordLength <= 0) { // Check is less than 0
					PasswordStrength.html(''); // Empty the HTML
					PasswordStrength.removeClass('normal weak strong verystrong'); //Remove all the indicator classes
				}
				if(PasswordLength > 0 && PasswordLength < 4) { // If string length less than 4 add 'weak' class
					PasswordStrength.html('weak');
					PasswordStrength.removeClass('normal strong verystrong').addClass('weak');
				}
				if(PasswordLength > 4 && PasswordLength < 8) { // If string length greater than 4 and less than 8 add 'normal' class
					PasswordStrength.html('Normal');
					PasswordStrength.removeClass('weak strong verystrong').addClass('normal');			
				}	
				if(PasswordLength >= 8 && PasswordLength < 12) { // If string length greater than 8 and less than 12 add 'strong' class
					PasswordStrength.html('Strong');
					PasswordStrength.removeClass('weak normal verystrong').addClass('strong');
				}
				if(PasswordLength >= 12) { // If string length greater than 12 add 'verystrong' class
					PasswordStrength.html('Very Strong');
					PasswordStrength.removeClass('weak normal strong').addClass('verystrong');
				}
			});
		});
		</script>
		
		
		
		<style type="text/css">

			.as_wrapper{
				margin: 0 auto;
				width: 1000px;
			}
			.mytable{
				margin: 0 auto;
				padding: 20px;
				border:2px solid  #0FF;
			}
			.success{
				color:#009900;
			}
			.errors{
				color:#F33C21;
			}
			.talign_right{
				text-align:right;
			}
			.username_avail_result{
				display:block;
				width:180px;
			}
			.password_strength {
				display:block;
				width:180px;
				padding:3px;
				text-align:center;
				color:#333;
				font-size:12px;
				backface-visibility:#FFF;
				font-weight:bold;
			}
			/* Password strength indicator classes weak, normal, strong, verystrong*/
			.password_strength.weak{
				background:#e84c3d;
			}
			.password_strength.normal{
				background:#f1c40f;
			}
			.password_strength.strong{
				background:#27ae61;
			}
			.password_strength.verystrong{
				background:#2dcc70;
				color:#FFF;
			}
		</style>


	</head>

	<body class="login-layout">
		<div class="main-container">
			<div class="main-content">
				<div class="row">
					<div class="col-sm-10 col-sm-offset-1">
						<div class="login-container">
							<div class="center">
								<h1>
									<img src="assets/images/fmxLogo.png" alt="logo">
								</h1>
								
								<h4 class="white" id="id-company-text"><i class="ace-icon fa fa-suitcase red"></i> MIS Portal </h4>
							</div>

							<div class="space-"></div>

							<div class="position-relative">
								<div id="login-box" class="login-box visible widget-box no-border">
									<div class="widget-body">
										<div class="widget-main">
											<h5 class="header blue lighter bigger">
											
											
											<?php
											/**
											 * The user is already logged in, not allowed to register.
											 */
											 if($session->logged_in && isset($_SESSION['regsuccess'])){
											   echo "<h3><font color='orange'><i class='fa fa-flag fa' style='color: orange;'></i> Already Registered </font></h3>";
											   echo "<p>We're sorry <b>$session->username</b>, but you already have an account with us. ";
											   echo "<a href=\"dashboard\" id='dashboard' class='dash btn btn-success'> Access Your Dashboard</a> &nbsp;&nbsp;";
											}
											/**
											 * The user has submitted the registration form and the
											 * results have been processed.
											 */
											else if(isset($_SESSION['regsuccess'])){
											   /* Registration was successful */
											   if($_SESSION['regsuccess']){
												  echo "<h3><font color='green'><i class='fa fa-flag fa' style='color: orange;'></i> Account Created Successfully </font></h3>";
												  echo "<p>Thank you <b>".$_SESSION['reguname']."</b>, your account has been created, login below</p>";
											   }
											   /* Registration failed */
											   else{
												  echo "<h3><font color='red'><i class='fa fa-flag fa' style='color: red;'></i> Account Creation Unsuccessful </font></h3>";
												  echo "<p>We're sorry, but an error has occurred and your registration for the username <b>".$_SESSION['reguname']."</b>, "
													  ."could not be completed.<br>Please try again at a later time.</p>";
													  echo "<a href=\"index\" class='btn btn-lg btn-success btn-block'>Try Again</a>";
											   }
											   unset($_SESSION['regsuccess']);
											   unset($_SESSION['reguname']);
											}
											/**
											 * The user has not filled out the registration form yet.
											 * Below is the page with the sign-up form, the names
											 * of the input fields are important and should not
											 * be changed.
											 */
											else{
												if($form->num_errors > 0){
											   		echo "<font size=\"2\" color=\"#ff0000\">".$form->num_errors." error(s) found</font>. Try to register again.";
												}
											}
											
											?>
											
											
											
											<?php
											/**
											 * Forgot Password form has been submitted and no errors
											 * were found with the form (the username is in the database)
											 */
											if(isset($_SESSION['forgotpass'])){
											   /**
												* New password was generated for user and sent to user's
												* email address.
												*/
											   if($_SESSION['forgotpass']){
												  echo "<h3><font color='green'><i class='fa fa-key fa' style='color: green;'></i> New Password Generated</font>, You can either </h3>";
												  echo "<p>Your new password has been generated and sent to the email associated with your account. "
													  ."<a href='index' class='btn btn-success'><i class='fa fa-log-in fa' style='color: green;'></i> Login Here</a>.</p>";
											   }
											   /**
												* Email could not be sent, therefore password was not
												* edited in the database.
												*/
											   else{
												   echo "<h3><font color='green'><i class='fa fa-key fa' style='color: red;'></i> New Password Failure</font>, You can either </h3>";
												   echo "<p>There was an error sending you the email with the new password, so your password has not been changed. "
													  ."<a href='#' data-target='#forgot-box' class='forgot-password-link'>
													  <i class='fa fa-refresh fa' style='color: orange;'></i> Try Again</a>.</p>";
											   }
												   
											   unset($_SESSION['forgotpass']);
											}
											
											?>
											
											
											
												<?php if($session->logged_in){ echo "Welcome <b>$session->username</b>, to FMX MIS portal. "; 
												} else { echo '<img alt="Avatar" src="assets/images/staff/studentFemale.png" width="10%" height="10%" 
												style="border-radius: 10px 5px 10px 5px;"> Please Sign In Below'; } ?></h3>
											</h5>

											<div class="space-6"></div>
											
											<?php
											/**
											 * User has already logged in, so display relavent links.
											 */
											if($session->logged_in){ 
											/* Requested Username error checking */
											$req_user = $session->username;
											/* Display requested user information */
											$req_user_profile = $database->getUserProfile($req_user);

											/**
											 * User has already logged in, so display relavent links, including
											 * a link to the admin center if the user is an administrator.
											 */
											 
											  
											 $img = $req_user_profile['pics'];
											 if ($img == "") { $dp = "studentFemale.png"; } else { $dp  = $img; }
											
												echo '<img class="nav-user-photo"alt="avatar" src="assets/images/staff/'.$dp.'" width="90%"> <hr>';
											
											
											   echo "<h3><font color='green'><i class='fa fa-unlock fa' style='color: green;'></i> Access Granted</font></h3>";
											  
											   echo "<a href='dashboard' id='dashboard' class='dash btn btn-success'> Continue <i class='fa fa-arrow-right'></i> </a>";
											}
											else{ ?>
												
											<?php
											
											/**
											 * User not logged in, display the login form.
											 * If user has already tried to login, but errors were
											 * found, display the total number of errors.
											 * If errors occurred, they will be displayed.
											 */
											 
											if($form->num_errors > 0){
												
											   echo "<h3><font color='red'><i class='fa fa-lock fa' style='color: red;'></i> Access Denied </font></h3>";
											 
											   echo "<font size=\"2\" color=\"#af0000\">".$form->num_errors." error(s) found</font>";
											}
											?>
											<form action="process.php" method="POST">
												<fieldset>
													<label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<input type="text" class="form-control" placeholder="Username" name="user" />
															<i class="ace-icon fa fa-user"></i>
															<?php echo $form->error("user"); ?>
														</span>
													</label>

													<label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<input type="password" class="form-control" placeholder="Password" name="pass" />
															<i class="ace-icon fa fa-lock"></i>
															<?php echo $form->error("pass"); ?>
														</span>
													</label>

													<div class="space"></div>

													<div class="clearfix">
														<label class="inline">
															<input type="checkbox" class="ace" <?php if($form->value("remember") != ""){ echo "checked"; } ?>> <span class="lbl"> Keep Me Logged In</span>
														</label>

														<input type="hidden" name="sublogin" value="1">
														
														<input type="hidden" name="location" value="<?php if(isset($_GET['location'])) { echo htmlspecialchars($_GET['location']); } ?>" >
                                
														<button type="submit" id="logn" class="log width-35 pull-right btn btn-sm btn-primary" >
															<i class="ace-icon fa fa-key"></i>
															<span class="bigger-110">Log In</span>
														</button>
													</div>

													<div class="space-4"></div>
												</fieldset>
											</form>
											
											<?php } ?>

										</div><!-- /.widget-main -->

										<div class="toolbar clearfix">
											<div>
												<a href="#" data-target="#forgot-box" class="forgot-password-link">
													<i class="ace-icon fa fa-arrow-left"></i>
													I forgot my password
												</a>
											</div>

											<div>
												<a href="#" data-target="#signup-box" class="user-signup-link">
													I want to register
													<i class="ace-icon fa fa-arrow-right"></i>
												</a>
											</div>
										</div>
									</div><!-- /.widget-body -->
								</div><!-- /.login-box -->

								<div id="forgot-box" class="forgot-box widget-box no-border">
									<div class="widget-body">
										<div class="widget-main">
											<h4 class="header red lighter bigger">
												<i class="ace-icon fa fa-key"></i>
												Retrieve Password
											</h4>

											<div class="space-6"></div>
											
											<?php
											/**
											 * Forgot Password form has been submitted and no errors
											 * were found with the form (the username is in the database)
											 */
											if(isset($_SESSION['forgotpass'])){
											   /**
												* New password was generated for user and sent to user's
												* email address.
												*/
											   if($_SESSION['forgotpass']){
												  echo "<h3><font color='green'><i class='fa fa-key fa' style='color: green;'></i> New Password Generated</font>, You can either </h3>";
												  echo "<p>Your new password has been generated and sent to the email associated with your account. "
													  ."<a href='index.php' class='btn btn-success'><i class='fa fa-log-in fa' style='color: green;'></i> Login Here</a>.</p>";
											   }
											   /**
												* Email could not be sent, therefore password was not
												* edited in the database.
												*/
											   else{
												   echo "<h3><font color='green'><i class='fa fa-key fa' style='color: red;'></i> New Password Failure</font>, You can either </h3>";
												   echo "<p>There was an error sending you the email with the new password, so your password has not been changed. "
													  ."<a href='#' data-target='#forgot-box' class='forgot-password-link'>
													  <i class='fa fa-refresh fa' style='color: orange;'></i> Try Again</a>.</p>";
											   }
												   
											   unset($_SESSION['forgotpass']);
											}
											else{
											
											/**
											 * Forgot password form is displayed, if error found
											 * it is displayed.
											 */
											?>
						
											<h3>Forgot Password</h3>
											A new password will be generated for you and sent to the email address 
											associated with your account, all you have to do is enter your
											username.<br><br>
											<?php echo $form->error("user"); ?>
											<form action="process.php" method="POST">
												<fieldset>
													<label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<input type="text" class="form-control" placeholder="Username" name="user" 
															value="<?php echo $form->value("user"); ?>">

															<i class="ace-icon fa fa-user"></i>
														</span>
													</label>

													<div class="clearfix">
														<input type="hidden" name="subforgot" value="1">
														<button type="submit" id="logn" class="log width-70 pull-right btn btn-sm btn-danger">
															<i class="ace-icon fa fa-lightbulb-o"></i>
															<span class="bigger-110">Reset My Password!</span>
														</button>
													</div>
												</fieldset>
											</form>
											<?php } ?>
										</div><!-- /.widget-main -->

										<div class="toolbar center">
											<a href="#" data-target="#login-box" class="back-to-login-link">
												Back to login
												<i class="ace-icon fa fa-arrow-right"></i>
											</a>
										</div>
									</div><!-- /.widget-body -->
								</div><!-- /.forgot-box -->

								<div id="signup-box" class="signup-box widget-box no-border">
									<div class="widget-body">
										<div class="widget-main">
											<h4 class="header green lighter bigger">
												<i class="ace-icon fa fa-users blue"></i>
												New User Registration
											</h4>

											<div class="space-6"></div>
											
											<?php
											/**
											 * The user is already logged in, not allowed to register.
											 */
											if($session->logged_in){
											   echo "<h3><font color='orange'><i class='fa fa-flag fa' style='color: orange;'></i> Already Registered </font></h3>";
											   echo "<p>We're sorry <b>$session->username</b>, but you already have an account with us. ";
											   echo "<a href='dashboard.php' id='dashboard' class='dash btn btn-success'>Access Your Dashboard <i class='fa fa-arrow-right'></i></a> &nbsp;&nbsp;";
											}
											/**
											 * The user has submitted the registration form and the
											 * results have been processed.
											 */
											else if(isset($_SESSION['regsuccess'])){
											   /* Registration was successful */
											   if($_SESSION['regsuccess']){
												  echo "<h3><font color='green'><i class='fa fa-flag fa' style='color: orange;'></i> Account Created Successfully </font></h3>";
												  echo "<p>Thank you <b>".$_SESSION['reguname']."</b>, your account has been created, </p>";?>
												  
												  <div class="toolbar center">
													<a href="#" data-target="#login-box" class="back-to-login-link">
														<i class="ace-icon fa fa-arrow-left"></i>
														Back to login
													</a>
												</div>
										
												<?php
											   }
											   /* Registration failed */
											   else{
												  echo "<h3><font color='red'><i class='fa fa-flag fa' style='color: red;'></i> Account Creation Unsuccessful </font></h3>";
												  echo "<p>We're sorry, but an error has occurred and your registration for the username <b>".$_SESSION['reguname']."</b>, "
													  ."could not be completed.<br>Please try again at a later time.</p>";
													  echo "<a href=\"register.php\" class='btn btn-lg btn-success btn-block'>Try Again</a>";
											   }
											   unset($_SESSION['regsuccess']);
											   unset($_SESSION['reguname']);
											}
											/**
											 * The user has not filled out the registration form yet.
											 * Below is the page with the sign-up form, the names
											 * of the input fields are important and should not
											 * be changed.
											 */
											else{
											
											
											if($form->num_errors > 0){
											   echo "<font size=\"2\" color=\"#ff0000\">".$form->num_errors." error(s) found</font>";
											}
											?>
											<p> Please Fill With Accurate Data <font color="#af0000"><i>all fields are required</i></font> </p>
											<p><font color="#999999">Your Email address is your primary means of contact. Application update(s) 
											will sent to this email address. <b><em>Use Your Official Email Address</em></b></font></p>
											<form action="process.php" method="POST">

												<fieldset>
													<label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<input class="form-control" placeholder="Enter Your Prefered Username" type="text" name="user" 
																id="username" maxlength="30" value="<?php echo $form->value("user"); ?>"><?php echo $form->error("user"); ?>
																<div class="username_avail_result" id="username_avail_result"></div>
															<i class="ace-icon fa fa-user"></i>
														</span>
													</label>

													<label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<input class="form-control" placeholder="Enter Your Prefered Password" type="password" name="pass" id="password" maxlength="30" value="<?php echo $form->value("pass"); ?>"><?php echo $form->error("pass"); ?>
															<div class="password_strength" id="password_strength"></div>
															<i class="ace-icon fa fa-lock"></i>
														</span>
													</label>
													
													<label class="block clearfix">
														<span class="block input-icon input-icon-right">
															<input class="form-control" placeholder="Enter Your Officia Email (e.g: e.ibeh@companyname.com)" 
															type="email" name="email" maxlength="50" value="<?php echo $form->value("email"); ?>"><?php echo $form->error("email"); ?>
															<i class="ace-icon fa fa-envelope"></i>
														</span>
													</label>

													<label class="block">
														<input type="checkbox" class="ace" required />
														<span class="lbl">
															I accept the
															<a href="#">User Agreement</a>
														</span>
													</label>

													<div class="space-24"></div>

													<div class="clearfix">
                                                        <input type="hidden" name="subjoin" value="1">
                                                        
														<button type="reset" class="width-30 pull-left btn btn-sm">
															<i class="ace-icon fa fa-refresh"></i>
															<span class="bigger-110">Reset</span>
														</button>

														<button type="submit" id="logn" class="log width-65 pull-right btn btn-sm btn-success">
															<span class="bigger-110"> Create My Account </span>

															<i class="ace-icon fa fa-arrow-right icon-on-right"></i>
														</button>
													</div>
												</fieldset>
											</form>
											<?php } ?>
										</div>

										<div class="toolbar center">
											<a href="#" data-target="#login-box" class="back-to-login-link">
												<i class="ace-icon fa fa-arrow-left"></i>
												Already Have an Account?  Back to login
											</a>
										</div>
									</div><!-- /.widget-body -->
								</div><!-- /.signup-box -->
								<h6 align="center"><font size="-2" color="#e67817">Copyright &copy; <?php auto_copyright('2004');  
								// 2004 - current year ?> All Rights Reserved - FMX Integrated Services Ltd  <br>
							<?php echo APP_VERSION; ?>  &nbsp;&nbsp;&nbsp; <i>Powered by <a href="http://www.xlafricagroup.com"> XL Africa Group Ltd </a></i> </font></h6>
							
							</div><!-- /.position-relative -->

						</div>
					</div><!-- /.col -->
				</div><!-- /.row -->
			</div><!-- /.main-content -->
		</div><!-- /.main-container -->

		<!-- basic scripts -->

		<!--[if !IE]> -->
		<script src="assets/js/jquery.2.1.1.min.js"></script>

		<!-- <![endif]-->

		<!--[if IE]>
<script src="assets/js/jquery.1.11.1.min.js"></script>
<![endif]-->

		<!--[if !IE]> -->
		<script type="text/javascript">
			window.jQuery || document.write("<script src='assets/js/jquery.min.js'>"+"<"+"/script>");
		</script>

		<!-- <![endif]-->

		<!--[if IE]>
<script type="text/javascript">
 window.jQuery || document.write("<script src='assets/js/jquery1x.min.js'>"+"<"+"/script>");
</script>
<![endif]-->
		<script type="text/javascript">
			if('ontouchstart' in document.documentElement) document.write("<script src='assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
		</script>

		<!-- inline scripts related to this page -->
		<script type="text/javascript">
			jQuery(function($) {
			 $(document).on('click', '.toolbar a[data-target]', function(e) {
				e.preventDefault();
				var target = $(this).data('target');
				$('.widget-box.visible').removeClass('visible');//hide others
				$(target).addClass('visible');//show target
			 });
			});
			
			
			
			//you don't need this, just used for changing background
			jQuery(function($) {
			 $('#btn-login-dark').on('click', function(e) {
				$('body').attr('class', 'login-layout');
				$('#id-text2').attr('class', 'white');
				$('#id-company-text').attr('class', 'blue');
				
				e.preventDefault();
			 });
			 $('#btn-login-light').on('click', function(e) {
				$('body').attr('class', 'login-layout light-login');
				$('#id-text2').attr('class', 'grey');
				$('#id-company-text').attr('class', 'blue');
				
				e.preventDefault();
			 });
			 $('#btn-login-blur').on('click', function(e) {
				$('body').attr('class', 'login-layout blur-login');
				$('#id-text2').attr('class', 'white');
				$('#id-company-text').attr('class', 'light-blue');
				
				e.preventDefault();
			 });
			 
			});
			
			$('#logn').click(function(){
				$('.log').html('<i class="fa fa-spinner fa-pulse"></i> Processing...');
			});
			
			$('#dashboard').click(function(){
				$('.dash').html('<i class="fa fa-spinner fa-pulse"></i> Processing...');
			});
			
			$('#logout').click(function(){
				$('.logo').html('<i class="fa fa-spinner fa-pulse"></i> Processing...');
			});
		
		</script>
	</body>
</html>
