<?php
	/**
	 * office.php
	 *
	 * This is used to create new office location
	 * It is also used to view and manage existing office locations
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 * Date: May 2016
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Office Locations" ;
		$pageslogan = "Add new / manage existing office locations";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				<div class="alert alert-block alert-success">
					<button type="button" class="close" data-dismiss="alert">
						<i class="ace-icon fa fa-times"></i>
					</button>

					<i class="ace-icon fa fa-check green"></i> Hi, 
					<strong class="green"><?php echo $username; ?></strong>, 
					<small>This page enables you to manage/view existing office locations. It also gives you access to adding new office location</small>
				</div>

				<div class="row">
					
					<div class="col-sm-12">
						<div class="tabbable">
							<ul class="nav nav-tabs" id="myTab">
								<li>
									<a data-toggle="tab" href="#addoffice">
										<i class="green ace-icon fa fa-plus bigger-120"></i>
										Add New Office Location
									</a>
								</li>

								<li class="active">
									<a data-toggle="tab" href="#alloffice">
										<i class="green ace-icon fa fa-home bigger-120"></i>
										Manage/View Existing Office Locations
										<span class="badge badge-danger">
										<?php
											// Fetch total number of catgeories 
											$query = "SELECT COUNT(id) as `num` FROM office";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$totaloffice = $row['num'];
											echo $totaloffice;
										?>
										</span>
									</a>
								</li>
							</ul>

							<div class="tab-content">
								
								<div id="addoffice" class="tab-pane fade">
									<div class="result">
										<div class="center">
											<h3 class="header smaller lighter green">Office Location Registration Form</h3>
											<p>Kindly fill the form with accurate data. Fields with <font color="red">*</font> are required.</p>
										</div>
										
										<p class="qc-errmsg" style="display: none;">&nbsp;</p>
										<div class="contact-form clearfix">
											<form name="form" class="form-horizontal" action="sys/core/insert.php"  method="post">
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="csn" class="col-sm-4 control-label no-padding-right">Name <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="name" id="name" placeholder="Enter Office Name Here" class="form-control" required/>
														</div>
													</div>
													
                                                    <div class="form-group">
														<label for="manager" class="col-sm-4 control-label no-padding-right">Location Manager <font color="#ff0000">*</font></label>
														<div class="col-sm-8" id="autolist">
															<input type="text" name="manager" id="relmanager" placeholder="Start Typing a name here" class="form-control" required onkeyup="autocomplet()">
															<ul id="relmanager_list"></ul>
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="phonenumber" class="col-sm-4 control-label no-padding-right">Contact Number <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="phonenumber" id="phonenumber" placeholder="Enter Vendor's Primary Phone Number Here" class="form-control" required/>
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="email" class="col-sm-4 control-label no-padding-right">Email Address <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="email" name="email" id="email" placeholder="Enter Vendor's Email Address Here" class="form-control" required/>
															<p class="help-block"></p>
														</div>
													</div>
                                                    
												</div>  <!-- End Div 6 -->
												
												
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="address" class="col-sm-3 control-label no-padding-right">Office Address <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<textarea id="address" name="address" placeholder="Enter Vendor's Office Address Here" class="form-control" required></textarea>
														</div>
													</div>
													
													<div class="form-group">
														<label for="state" class="col-sm-3 control-label no-padding-right">State <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select name="state" id="state" class="form-control" required>
															<?php
																include 'sys/incs/statelist.php';
															?>
															</select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="country" class="col-sm-3 control-label no-padding-right">Country <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select id="country" name="country" class="form-control" required>
															<?php
																include 'sys/incs/countrylist.php';
															?>
															</select>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												<div class="center">
													<input type="submit" value="Submit Data" name="addOffice" id="addOffice" class="btn btn-success"  data-after-submit-value="Processing your request..."/>
													<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger"/>
												</div>
											</form>
										</div>
									</div>
									
								</div>

								<div id="alloffice" class="tab-pane fade in active">
									<div class="center">
										
		<?php
									if(isset($_GET['succresp']))
									{
										$office = $_GET['succresp'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i> New Office Location (<strong><?php echo $office; ?></strong>) Added Successfully
										</div>
		<?php
									} else {
										if(isset($_GET['fail']))
										{
											$office = $_GET['fail'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $office; ?></strong>'s record was not added.
											<a data-toggle="tab" href="#addoffice">
												<i class="green ace-icon fa fa-plus bigger-120"></i>
												Try Again
											</a>  Contact web administrator.
										</div>
		<?php
										}
									}
		?>
		
		
		
		
		<?php
									if(isset($_GET['editresp']))
									{
										$vendor = $_GET['editresp'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i><strong><?php echo $vendor; ?></strong>'s record was updated Successfully
										</div>
		<?php
									} else {
										if(isset($_GET['editfail']))
										{
											$error_response = $_GET['editfail'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $vendor; ?></strong>'s record was not updated.
											<a data-toggle="tab" href="#addvendor">
												<i class="green ace-icon fa fa-plus bigger-120"></i>
												Try Again
											</a>  Contact web administrator.
										</div>
		<?php
										}
									}
		?>
		
										<h3 class="header smaller lighter green">Existing Office Locations</h3>
										<p>You can sort the following table in Descending or Ascending order by clicking on the table header/title</p>
									</div>
									<table id="office-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    <label class="pos-rel">
                                                        <input type="checkbox" class="ace" id="bulkDelete" />
                                                        <span class="lbl"></span>
                                                    </label>
                                                </th>
												<th>Name</th>
												<th>Address</th>
												<th>Email Address</th>
												<th>Contact Person</th>
												<th>ACTION</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Name</th>
												<th>Address</th>
												<th>Email Address</th>
												<th>Contact Person</th>
												<th>ACTION</th>
											</tr>
										</tfoot>
									</table>
									 
									<button id="officeDeleteTriger" class="btn btn-danger"><i class="ace-icon fa fa-trash" title="Delete Vendors"></i> Delete Selected Office </button>
									 
									
						
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>