<?php
/**
 * Constants.php
 *
 * This file is intended to group all constants to
 * make it easier for the site administrator to tweak
 * the login script.
 */
 
/**
 * Database Constants - these constants are required
 * in order for there to be a successful connection
 * to the MySQL database. Make sure the information is
 * correct.
 */
define("DB_SERVER", "localhost");
define("DB_USER", "xlafr0_esolution");
define("DB_PASS", "G0DHELPME");
define("DB_NAME", "xlafr0_fmx");
define("APP_NAME", "FMX MIS");
define("APP_VERSION", "eMIS 1.0");
/**
 * Database Table Constants - these constants
 * hold the names of all the database tables used
 * in the script.
 */
define("TBL_USERS", "users");
define("TBL_ACTIVE_USERS",  "active_users");
define("TBL_ACTIVE_GUESTS", "active_guests");
define("TBL_BANNED_USERS",  "banned_users");
define("TBL_PROFILE",  "profile");

/**
 * Special Names and Level Constants - the admin
 * page will only be accessible to the user with
 * the admin name and also to those users at the
 * admin user level. Feel free to change the names
 * and level constants as you see fit, you may
 * also add additional level specifications.
 * Levels must be digits between 0-9.
 */
define("ADMIN_NAME", "Administrator");
define("MD_NAME", "Managing Director");
define("CM_NAME", "Contract Manager");
define("QS_NAME", "Quality Surveyor");
define("ACC_NAME", "Accountant");
define("PROC_NAME", "Procurement Officer");
define("SM_NAME", "Store Manager");
define("SUP_NAME", "Supervisor");
define("STAFF_NAME", "Staff");
define("GUEST_NAME", "Guest");   
define("ADMIN_LEVEL", 9);						// Administrator level .. control the activities on this portal
define("MD_LEVEL", 8);							// Managing Director level .. view activities on this application
define("CM_LEVEL",  7);							// Contract Manager level .. handles the job of a contract manager
define("QS_LEVEL", 6);							// Quality Surveyor .. handles the job a of a quality controller
define("ACC_LEVEL", 5);							// Account level .. handles the accounting function
define("PROC_LEVEL", 4);						// Procurement level .. handles the job of a procurement officer
define("SM_LEVEL",  3);							// Store Manager level .. handles the job of a store manager
define("SUP_LEVEL", 2);							// Supervisor level .. handles the job a of a supervisor
define("STAFF_LEVEL", 1);						// Staff level .. handles no job, just registration only
define("GUEST_LEVEL", 0); 						// guest level .. guest only control himself

/**
 * This boolean constant controls whether or
 * not the script keeps track of active users
 * and active guests who are visiting the site.
 */
define("TRACK_VISITORS", true);

/**
 * Timeout Constants - these constants refer to
 * the maximum amount of time (in minutes) after
 * their last page fresh that a user and guest
 * are still considered active visitors.
 */
define("USER_TIMEOUT", 10);
define("GUEST_TIMEOUT", 5);

/**
 * Cookie Constants - these are the parameters
 * to the setcookie function call, change them
 * if necessary to fit your website. If you need
 * help, visit www.php.net for more info.
 * <http://www.php.net/manual/en/function.setcookie.php>
 */
// define("COOKIE_EXPIRE", 60*60*24*30);  //30 days lang
define("COOKIE_EXPIRE", 60*60*24*100);  //100 days by default
define("COOKIE_PATH", "/");  //Avaible in whole domain

/**
 * Email Constants - these specify what goes in
 * the from field in the emails that the script
 * sends to users, and whether to send a
 * welcome email to newly registered users.
 */
define("EMAIL_FROM_NAME", "ARMAN G. DE CASTRO");
define("EMAIL_FROM_ADDR", "armandecastro@gmail.com");
define("EMAIL_WELCOME", false);

/**
 * This constant forces all users to have
 * lowercase usernames, capital letters are
 * converted automatically.
 */
define("ALL_LOWERCASE", false);
?>
