<?php
	/**
	 * vendors.php
	 *
	 * This is used to create new vendors
	 * It is also used to view and manage registered vendors
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 * Date: May 2016
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Vendors" ;
		$pageslogan = "manage registered vendors and add new vendor record";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				<div class="alert alert-block alert-success">
					<button type="button" class="close" data-dismiss="alert">
						<i class="ace-icon fa fa-times"></i>
					</button>

					<i class="ace-icon fa fa-check green"></i> Hi, 
					<strong class="green"><?php echo $username; ?></strong>, 
					<small>This page enables you to manage/view registered vendors. It also gives you access to adding new vendor</small>
				</div>

				<div class="row">
					
					<div class="col-sm-12">
						<div class="tabbable">
							<ul class="nav nav-tabs" id="myTab">
								<li>
									<a data-toggle="tab" href="#addvendor">
										<i class="green ace-icon fa fa-plus bigger-120"></i>
										Add New Vendor Record
									</a>
								</li>

								<li class="active">
									<a data-toggle="tab" href="#allvendors">
										<i class="green ace-icon fa fa-wrench bigger-120"></i>
										Manage/View Registered Vendors
										<span class="badge badge-danger">
										<?php
											// Fetch total number of catgeories 
											$query = "SELECT COUNT(id) as `num` FROM vendors";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$totalvendors = $row['num'];
											echo $totalvendors;
										?>
										</span>
									</a>
								</li>
							</ul>

							<div class="tab-content">
								
								<div id="addvendor" class="tab-pane fade">
									<div class="result">
										<div class="center">
											<h3 class="header smaller lighter green">Vendor Registration Form</h3>
											<p>Kindly fill the form with accurate data. Fields with <font color="red">*</font> are required.</p>
										</div>
										
										<p class="qc-errmsg" style="display: none;">&nbsp;</p>
										<div class="contact-form clearfix">
											<form name="form" class="form-horizontal" action="sys/core/insert.php"  method="post">
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="vsn" class="col-sm-3 control-label no-padding-right">Short Name  <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<input type="text" name="vsn" id="vsn" placeholder="Enter Vendor's Short Name Here" class="form-control" required/>
															<span class="error">This field is required</span>
														</div>
													</div>
													<div class="form-group">
														<label for="csn" class="col-sm-3 control-label no-padding-right">Name <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<input type="text" name="name" id="name" placeholder="Enter Vendor's Name Here" class="form-control" required/>
														</div>
													</div>
													
													<div class="form-group">
														<label for="address" class="col-sm-3 control-label no-padding-right">Office Address <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<textarea id="address" name="address" placeholder="Enter Vendor's Office Address Here" class="form-control" required></textarea>
														</div>
													</div>
													
													<div class="form-group">
														<label for="state" class="col-sm-3 control-label no-padding-right">State <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select name="state" id="state" class="form-control" required>
															<?php
																include 'sys/incs/statelist.php';
															?>
															</select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="country" class="col-sm-3 control-label no-padding-right">Country <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select id="country" name="country" class="form-control" required>
															<?php
																include 'sys/incs/countrylist.php';
															?>
															</select>
														</div>
													</div>
													<div class="form-group">
														<label for="contactperson" class="col-sm-3 control-label no-padding-right">Contact Person <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<input type="text" name="contactperson" id="contactperson" placeholder="Enter Vendor's Contact Person's Name Here" class="form-control" required/>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="phonenumber" class="col-sm-4 control-label no-padding-right">Contact Number <small>(primary phone)</small> <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="phonenumber" id="phonenumber" placeholder="Enter Vendor's Primary Phone Number Here" class="form-control" required/>
														</div>
													</div>
													
													<div class="form-group">
														<label for="otherphones" class="col-sm-4 control-label no-padding-right">Additional Number(s) <small>(other phone numbers)</small></label>
														<div class="col-sm-8">
															<input type="text" name="otherphones" id="otherphones" placeholder="Enter Vendor's Addtional Phone Numbers Here" class="form-control" />
														</div>
													</div>
													
													<div class="form-group">
														<label for="email" class="col-sm-4 control-label no-padding-right">Email Address <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="email" name="email" id="email" placeholder="Enter Vendor's Email Address Here" class="form-control" required/>
															<p class="help-block"></p>
														</div>
													</div>
													<div class="form-group">
														<label for="relstatus" class="col-sm-4 control-label no-padding-right">Relationship Status <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select id="relstatus" name="relstatus" class="form-control" required>
																<option value="">Choose Vendors Relationship Status</option>
																<option value = "PROSPECT" >PROSPECT</option>
																<option value = "EXISTING" >EXISTING</option>
																<option value = "DEFAULTED" >DEFAULTED</option>
																<option value = "DELISTED" >DELISTED</option>
															</select>
														</div>
													</div>
													<div class="form-group">
														<label for="producthandling" class="col-sm-4 control-label no-padding-right">Product Heading <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
                                                     		<select id="productheading" name="productheading" class="form-control" required>
																<option value = "">Choose Vendor Supply Class</option>
																<option value = "Air Conditioning">Air Conditioning</option>
																<option value = "Carpentry">Carpentry</option>
                                                                <option value = "Masonry">Masonry</option>
                                                                <option value = "Painting">Painting</option>
																<option value = "Plumbing">Plumbing</option>
                                                                <option value = "Safety Equipments">Safety Equipments</option>
                                                                <option value = "Specialised Airport Equipt">Specialised Airport Equipt</option>
                                                                <option value = "Swimming Pool">Swimming Pool</option>
                                                                <option value = "Welding">Welding</option>
																<option value = "-----------------------------------">-------------------------------------</option>
                                                                <option value = "General">General</option>
															</select>
														</div>
													</div>
													<div class="form-group">
														<label for="lineproducts" class="col-sm-4 control-label no-padding-right">Line of Products <font color="#ff0000">*</font></label>
														<div class="col-sm-8" id="autolist">
															<select id="lineproducts" name="lineproducts" class="form-control" required>
																<option value = "">Choose Vendor Supply Group</option>
																<option value = "Basic Electricals">Basic Electricals</option>
																<option value = "Boxes">Boxes</option>
                                                                <option value = "Circuit Breaker">Circuit Breaker</option>
                                                                <option value = "Cooker Accessories">Cooker Accessories</option>
																<option value = "Electrical Cables">Electrical Cables</option>
                                                                <option value = "Eletrical Equipments">Eletrical Equipments</option>
                                                                <option value = "Electronic Lamp (Energy Savers)/ Light Bulbs">Electronic Lamp (Energy Savers)/Light Bulbs</option>
                                                                <option value = "Electrical Plugs and Fuses">Electrical Plugs and Fuses</option>
                                                                <option value = "Electrical Sockets">Electrical Sockets</option>
                                                                <option value = "Light Fittings">Light Fittings</option>
                                                                <option value = "Light Tubes/Capsule Lamps">Light Tubes/Capsule Lamps</option>
                                                                <option value = "Pipes/Trunking">Pipes/Trunking</option>
                                                                <option value = "Refrigerator part/Fan/Accessories">Refrigerator part/Fan/Accessories</option>
                                                                <option value = "Starters/Connectors">Starters/Connectors</option>
                                                                <option value = "Switches (Equipment Control)">Switches (Equipment Control)</option>
                                                                <option value = "Switches (Light)">Switches (Light)</option>
                                                                <option value = "Temperature Control">Temperature Control</option>
                                                                
																<option value = "-----------------------------------">-------------------------------------</option>
                                                                <option value = "General">General</option>
															</select>
														</div>
													</div>
													<div class="form-group">
														<label for="sigendondate" class="col-sm-4 control-label no-padding-right">Signed On Date</label>
														<div class="col-sm-8">
															<div class="input-group">
																<input name="sigendondate" class="form-control date-picker" id="id-date-picker-1" type="text" data-date-format="yyyy-mm-dd" class="form-control"/>
																<span class="input-group-addon">
																	<i class="fa fa-calendar bigger-110"></i>
																</span>
															</div>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												<div class="center">
													<input type="submit" value="Submit Data" name="addVendor" id="addVendor" class="btn btn-success"  data-after-submit-value="Processing your request..."/>
													<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger"/>
												</div>
											</form>
										</div>
									</div>
									
								</div>

								<div id="allvendors" class="tab-pane fade in active">
									<div class="center">
										
		<?php
									if(isset($_GET['succresp']))
									{
										$vendor = $_GET['succresp'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i> New Vendor (<strong><?php echo $vendor; ?></strong>) Added Successfully
										</div>
		<?php
									} else {
										if(isset($_GET['fail']))
										{
											$vendor = $_GET['fail'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $vendor; ?></strong>'s record was not added.
											<a data-toggle="tab" href="#addvendor">
												<i class="green ace-icon fa fa-plus bigger-120"></i>
												Try Again
											</a>  Contact web administrator.
										</div>
		<?php
										}
									}
		?>
		
		
		
		
		<?php
									if(isset($_GET['editresp']))
									{
										$vendor = $_GET['editresp'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i><strong><?php echo $vendor; ?></strong>'s record was updated Successfully
										</div>
		<?php
									} else {
										if(isset($_GET['editfail']))
										{
											$vendor = $_GET['editfail'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $vendor; ?></strong>'s record was not updated.
											<a data-toggle="tab" href="#addvendor">
												<i class="green ace-icon fa fa-plus bigger-120"></i>
												Try Again
											</a>  Contact web administrator.
										</div>
		<?php
										}
									}
		?>
		
										<h3 class="header smaller lighter green">All Registered Vendors</h3>
										<p>You can sort the following table in Descending or Ascending order by clicking on the table header/title</p>
									</div>
									<table id="vendor-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    <label class="pos-rel">
                                                        <input type="checkbox" class="ace" id="bulkDelete" />
                                                        <span class="lbl"></span>
                                                    </label>
                                                </th>
												<th>Name</th>
												<th>Address</th>
												<th>Email Address</th>
												<th>Contact Person</th>
												<th>ACTION</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Name</th>
												<th>Address</th>
												<th>Email Address</th>
												<th>Contact Person</th>
												<th>ACTION</th>
											</tr>
										</tfoot>
									</table>
									 
									<button id="vendorDeleteTriger" class="btn btn-danger"><i class="ace-icon fa fa-trash" title="Delete Vendors"></i> Delete Selected Vendor(s) </button>
									 
									
						
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>